# Uses of Class
javax.sql.rowset.spi.SyncProvider

Packages that use SyncProvider
Package
Description
javax.sql.rowset
Standard interfaces and base classes for JDBC `RowSet` implementations.
javax.sql.rowset.spi
The standard classes and interfaces that a third party vendor has to use in its implementation of a synchronization provider.

## Uses of SyncProvider in javax.sql.rowset

Methods in javax.sql.rowset that return SyncProvider
Modifier and Type
Method
Description
`SyncProvider`
CachedRowSet.`getSyncProvider()`
Retrieves the `SyncProvider` implementation for this `CachedRowSet` object.

## Uses of SyncProvider in javax.sql.rowset.spi

Methods in javax.sql.rowset.spi that return SyncProvider
Modifier and Type
Method
Description
`static SyncProvider`
SyncFactory.`getInstance(String providerID)`
Returns the `SyncProvider` instance identified by providerID.
Methods in javax.sql.rowset.spi that return types with arguments of type SyncProvider
Modifier and Type
Method
Description
`static Enumeration<SyncProvider>`
SyncFactory.`getRegisteredProviders()`
Returns an Enumeration of currently registered synchronization providers.